> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qonto.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an international beneficiary

> OAuth scope: `international_transfer.write`

Update an international beneficiary

<Info>
This endpoint is still in **beta**. Please get in touch with our team if you have any question or feedback: [here](https://getqonto.atlassian.net/servicedesk/customer/portals).
</Info>

<Tip>
  The `payload` object for this endpoint is the same as the one used in the [List Beneficiary
  requirements](./list-beneficiary-requirements) endpoint.
</Tip>


## OpenAPI

````yaml put /v2/international/beneficiaries/{id}
openapi: 3.1.1
info:
  version: v2
  title: Qonto
servers:
  - url: https://thirdparty.qonto.com
    description: Production URL
  - url: https://thirdparty-sandbox.staging.qonto.co
    description: Sandbox URL
security:
  - OAuth:
      - organization.read
      - membership.read
      - membership.write
      - attachment.write
      - internal_transfer.write
      - payment.write
      - supplier_invoice.write
      - supplier_invoice.read
      - client_invoices.read
      - client_invoice.write
      - client.read
      - client.write
      - product.read
      - product.write
      - request_review.write
      - request_review.read
      - team.read
      - team.write
      - request_transfers.write
      - insurance_contract.read
      - insurance_contract.write
      - card.read
      - card.write
      - bank_account.write
      - beneficiary.trust
      - webhook
      - payment_link.write
      - payment_link.read
      - sepa_direct_debit.read
      - sepa_direct_debit.write
      - terminal.read
      - terminal.write
  - SecretKey: []
paths:
  /v2/international/beneficiaries/{id}:
    parameters:
      - $ref: '#/components/parameters/X-Qonto-Staging-Token'
      - name: id
        in: path
        required: true
        schema:
          type: string
          format: uuid
    put:
      tags:
        - International Transfers
      summary: Update an international beneficiary
      description: >-
        OAuth scope: `international_transfer.write`


        Update an international beneficiary


        <Info>

        This endpoint is still in **beta**. Please get in touch with our team if
        you have any question or feedback:
        [here](https://getqonto.atlassian.net/servicedesk/customer/portals).

        </Info>
      operationId: updateInternationalBeneficiary
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateInternationalBeneficiaryRequest'
      responses:
        '200':
          description: Returns the international beneficiary update
          content:
            application/json:
              schema:
                type: object
                properties:
                  beneficiary:
                    $ref: '#/components/schemas/InternationalBeneficiaryPayload'
                  quote:
                    $ref: '#/components/schemas/InternationalQuotePayload'
                  target_account_id:
                    type: string
                    description: The ID of the beneficiary's target account
                    example: '123456'
        '400':
          $ref: '#/components/responses/400-Bad-request'
        '401':
          $ref: '#/components/responses/401-Unauthorized'
        '403':
          $ref: '#/components/responses/403-Forbidden'
        '404':
          $ref: '#/components/responses/404-Not-Found'
        '500':
          $ref: '#/components/responses/500-Internal-Server-Error'
      security:
        - OAuth:
            - international_transfer.write
components:
  parameters:
    X-Qonto-Staging-Token:
      name: X-Qonto-Staging-Token
      in: header
      description: >-
        Required only for Sandbox API requests; to get one, please sign up to
        the [Developer Portal](https://developers.qonto.com/).
      schema:
        type: string
  schemas:
    CreateInternationalBeneficiaryRequest:
      type: object
      properties:
        quote_id:
          type: string
          format: uuid
          description: The quote unique identifier
          example: 0196edb0-9b6e-7554-9864-d111285a0a44
        payload:
          type: object
          properties:
            currency:
              type: string
              description: >-
                Currency the beneficiary receives money in (ISO 4217 format,
                alpha 3).
              example: EUR
            type:
              type: string
              description: >-
                Payment method the beneficiary receives money in (aba or
                swift_code)
              enum:
                - aba
                - swift_code
              example: aba
            details:
              type: object
              description: >-
                Beneficiary detail contains all the information needed to create
                a beneficiary. The data is dynamic and should be retrieved
                through the beneficiary requirements endpoint.
              example:
                address:
                  city: Paris
                  country: FR
                  postCode: 75009
                  firstLine: 18 rue du Navarin
                swiftCode: AAABBB00
                accountNumber: 123456789
                accountHolderName: John Doe
          required:
            - currency
            - type
            - details
      required:
        - quote_id
        - payload
    InternationalBeneficiaryPayload:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier of the beneficiary
          example: 0d6273cf-e4d0-469a-a3c8-d2196143470c
        name:
          type: string
          description: The beneficiary's name
          example: John Doe
        country:
          type: string
          description: The beneficiary's country
          example: US
        currency:
          type: string
          description: The currency of the beneficiary's bank account
          example: USD
        payment_type:
          type: string
          description: The payment method the beneficiary receives money in
          example: aba
        account_identifier:
          type: string
          description: The account identifier of the beneficiary
          example: '123456789'
        bank_identifier:
          type: string
          description: The bank identifier of the beneficiary
          example: AAABBB00
        branch_identifier:
          type: string
          description: The branch identifier of the beneficiary
          example: '123456789'
      required:
        - id
        - name
        - country
        - currency
        - payment_type
        - account_identifier
    InternationalQuotePayload:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the quote.
          example: 123e4567-e89b-12d3-a456-426614174000
        status:
          type: string
          enum:
            - PENDING
            - FUNDED
            - EXPIRED
            - ACCEPTED
          description: the quote status
          example: PENDING
        created_at:
          type: string
          format: date-time
          description: The date and time when the quote was created.
          example: '2025-01-01T08:00:00.000Z'
        expired_at:
          type: string
          format: date-time
          description: The date and time when the quote will expire
          example: '2025-01-01T08:00:00.000Z'
        source_amount:
          type: object
          properties:
            currency:
              type: string
              description: The currency of the source account.
              example: EUR
            value:
              type: string
              description: The amount to be transferred from the source account.
              example: '100.00'
          required:
            - currency
            - value
        target_amount:
          type: object
          properties:
            currency:
              type: string
              description: The currency of the target account.
              example: USD
            value:
              type: string
              description: The amount to be transferred to the target account.
              example: '110.00'
          required:
            - currency
            - value
        rate:
          type: number
          description: The exchange rate applied to the transfer.
          example: 1.1
        fees:
          type: object
          properties:
            total_amount:
              type: object
              properties:
                currency:
                  type: string
                  description: Fees currency
                  example: EUR
                value:
                  type: string
                  description: Fees amount value
                  example: '10.10'
              required:
                - currency
                - value
            details:
              type: array
              items:
                type: object
                properties:
                  currency:
                    type: string
                    description: Fees currency
                    example: EUR
                  value:
                    type: string
                    description: Fees amount value
                    example: '10.10'
                required:
                  - currency
                  - value
          required:
            - total_amount
      required:
        - id
        - status
        - created_at
        - expired_at
        - source_amount
        - target_amount
        - rate
        - fees
    BadRequestResponseBody:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/BadRequestError'
      required:
        - errors
    UnauthorizedResponseBody:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/UnauthorizedError'
      required:
        - errors
    ForbiddenResponseBody:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ForbiddenError'
      required:
        - errors
    NotFoundError:
      type: object
      properties:
        code:
          type: string
          description: Error code.
        detail:
          type: string
          description: Human readable error that explains error `code`.
        source:
          type: object
          properties:
            parameter:
              type: string
              description: The parameter that causes the error.
      required:
        - code
        - detail
      x-examples:
        Object not found:
          code: not_found
          detail: Object not found
          source:
            parameter: id
    BadRequestError:
      type: object
      properties:
        code:
          type: string
          description: Error code.
        detail:
          type: string
          description: Human readable error that explains error `code`.
        source:
          type: object
          properties:
            pointer:
              type: string
              description: >-
                The property in the request body that caused the error
                (optional).
            parameter:
              type: string
              description: The query parameter that caused the error (optional).
      required:
        - code
        - detail
      x-examples:
        Authorization field missing:
          code: bad_request
          detail: Authorization field missing
    UnauthorizedError:
      type: object
      properties:
        code:
          type: string
          description: Error code.
        detail:
          type: string
          description: Human readable error that explains error `code`.
      required:
        - code
        - detail
      x-examples:
        Invalid credentials:
          code: unauthorized
          detail: Invalid credentials
    ForbiddenError:
      type: object
      properties:
        code:
          type: string
          description: Error code.
        detail:
          type: string
          description: Human readable error that explains error `code`.
      required:
        - code
        - detail
      x-examples:
        Insufficient permissions:
          code: forbidden
          detail: User does not have sufficient permissions for this action.
  responses:
    400-Bad-request:
      description: Returns a bad request error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/BadRequestResponseBody'
          examples:
            Authorization field missing:
              value:
                errors:
                  - code: bad_request
                    detail: Authorization field missing
    401-Unauthorized:
      description: Returns an unauthorized error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/UnauthorizedResponseBody'
          examples:
            authorization_header_missing:
              value:
                errors:
                  - code: authorization_header_missing
                    detail: authorization header missing
            authorization_token_invalid:
              value:
                errors:
                  - code: authorization_token_invalid
                    detail: authorization token invalid
    403-Forbidden:
      description: Returns a forbidden error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ForbiddenResponseBody'
          examples:
            Insufficient permissions:
              value:
                errors:
                  - code: forbidden
                    detail: User does not have sufficient permissions for this action.
    404-Not-Found:
      description: Returns a not found error.
      content:
        application/json:
          schema:
            type: object
            properties:
              errors:
                type: array
                items:
                  $ref: '#/components/schemas/NotFoundError'
    500-Internal-Server-Error:
      description: Returns an internal server error.
  securitySchemes:
    OAuth:
      type: oauth2
      description: >
        Bearer authorization header: `Bearer <token>`, where `<token>` is the
        access token received from the authorization server at the end of the
        [OAuth 2.0
        flow](/get-started/business-api/authentication/oauth/oauth-flow).
      flows:
        authorizationCode:
          refreshUrl: https://oauth.qonto.com/oauth2/token
          authorizationUrl: https://oauth.qonto.com/oauth2/auth
          scopes:
            attachment.read: Retrieve attachments
            attachment.write: Upload attachments and remove attachments from transactions
            bank_account.write: Create, update and close bank accounts
            beneficiary.trust: Trust SEPA beneficiaries
            card.read: Retrieve cards
            card.write: Create or update cards
            client.read: Retrieve clients
            client.write: Create clients
            client_invoice.write: Create client invoices
            client_invoices.read: Retrieve client invoices and credit notes
            einvoicing.read: Retrieve e-invoicing settings
            embed_auth_link.write: Create Embed auth links
            insurance_contract.read: Retrieve insurance contracts
            insurance_contract.write: Create and update insurance contracts
            internal_transfer.write: >-
              Create internal transfers (between 2 Qonto accounts of the same
              organization)
            international_transfer.write: Create international transfers
            membership.read: Retrieve the authentified membership
            membership.write: Invite team members
            offline_access: Retrieve a refresh token
            organization.read: >-
              Retrieve organization, bank accounts, transactions, transfers,
              beneficiaries, labels, memberships, requests & statements
            payment.write: Create external transfers and untrust beneficiaries
            payment_link.read: >-
              Retrieve payment links, their payments, and the available payment
              methods
            payment_link.write: >-
              Connect to the payment links provider, create and deactivate
              payment links
            product.read: Retrieve products
            product.write: Create products
            request_cards.write: Create card requests
            request_review.write: Approve or decline requests
            request_transfers.write: Create transfer requests
            sepa_direct_debit.read: View SEPA Direct Debit payments
            sepa_direct_debit.write: Manage SEPA Direct Debit payments
            supplier_invoice.read: Retrieve supplier invoices
            supplier_invoice.write: Create supplier invoices
            team.read: Retrieve teams
            team.write: Create teams
            terminal.read: View your payment terminals
            terminal.write: Configure your terminals and initiate payments
            webhook: >-
              Receive a notification each time a particular event occurs in
              Qonto
          tokenUrl: https://oauth.qonto.com/oauth2/token
    SecretKey:
      type: apiKey
      description: cf. [API key](/get-started/business-api/authentication/api-key)
      name: Authorization
      in: header

````